#ifndef NODE_HPP_INCLUDED
#define NODE_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include <cstdint>

namespace Internal
{
    class Node : public Object
    {
        public:
            Node(const void* Obj);

            Node() = default;
            Node(Node&& Obj) = default;
            Node(const Node& Obj) = default;
            Node& operator=(Node&& Obj) = default;
            Node& operator=(const Node& Obj) = default;

            static Class GetClass();

            Node GetNext() const;
            Node GetPrev() const;
            std::int64_t GetUID() const;

    };
}

#endif // NODE_HPP_INCLUDED
